# PSF-LoginServer - master - net.psforever.objects.zones.MapInfo.Ugd02
PSF - LoginServer - master - net.psforever.objects.zones.MapInfo.Ugd02
Keywords: PSF LoginServer master net.psforever.objects.zones.MapInfo.Ugd02

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  case object MapInfo extends StringEnum[MapInfo] with Product with Serializable
  Definition Classes
    zones
- Map01
- Map02
- Map03
- Map04
- Map05
- Map06
- Map07
- Map08
- Map09
- Map10
- Map11
- Map12
- Map13
- Map14
- Map15
- Map16
- Map96
- Map97
- Map98
- Map99
- Ugd01
- Ugd02
- Ugd03
- Ugd04
- Ugd05
- Ugd06

o

net.psforever.objects.zones.MapInfo

# Ugd02

###

#### case object Ugd02 extends MapInfo with Product with Serializable

Source
  MapInfo.scala

Linear Supertypes
Serializable, Product, Equals, MapInfo, StringEnumEntry, ValueEnumEntry[String], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Ugd02
2. Serializable
3. Product
4. Equals
5. MapInfo
6. StringEnumEntry
7. ValueEnumEntry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val checksum: Long
   Definition Classes
     MapInfo
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  val environment: List[PieceOfEnvironment]
   Definition Classes
     MapInfo
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementName(n: Int): String
    Definition Classes
      Product
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  val scale: MapScale
    Definition Classes
      MapInfo
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  val value: String
    Definition Classes
      MapInfo → ValueEnumEntry
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from MapInfo

### Inherited from StringEnumEntry

### Inherited from ValueEnumEntry[String]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped